Skip to main content
GET
Obtenir un virement par ID

Authorizations

X-API-KEY
string
header
required

Clé API pour les requêtes de l'API Partenaire

Path Parameters

id
string<uuid>
required

Transfer identifier

Example:

"wth_abc123def456"

Response

Virement récupéré avec succès

Response schema for transfer operations

id
string
required

Transfer identifier

Example:

"wth_abc123def456"

storeId
string<uuid>
required

Identifiant du magasin

Example:

"59ae202a-f583-4a15-970f-9e99bd1e0baa"

amount
object
required

Money amount representation

fees
object
required

Money amount representation

status
enum<string>
required

Transfer status

Available options:
pending,
success,
error
Example:

"success"

paymentMethod
enum<string>
required

Payment method used for transfer

Available options:
wave,
orange,
mtn,
moov,
djamo,
bank
Example:

"wave"

beneficiary
string
required

Beneficiary identifier (phone number or bank account)

Example:

"+2250701234567"

description
string
required

Transfer description

Example:

"Monthly salary payment"

createdAt
string<date-time>
required

Transfer creation timestamp (ISO 8601)

Example:

"2024-01-15T14:30:25.000Z"

contactId
string<uuid>

Contact identifier (beneficiary)

Example:

"29f81706-03a6-492f-92ee-5f0b2e9b18e7"

reference
string | null

Référence partenaire fournie lors de la création, le cas échéant

Required string length: 5 - 100
Example:

"PAYROLL-APR-001"

transaction
object

Associated transaction details (present when transaction is created)